Subject: Re: [PATCH] pack-bitmap: do not use gcc packed attribute

From: Jeff King <[email-masked]>
Date: Tue, 5 Aug 2014 14:47:24 -0400

On Mon, Aug 04, 2014 at 09:19:46PM +0200, Karsten Blees wrote:

> Hmm, I wonder if it wouldn't be simpler to read / write the desired on-disk
> structure directly, without copying to a uchar[6] first.

Probably. My initial attempt was to keep together the read/write logic
about which sizes each item is, but I think the result ended up
unnecessarily verbose and harder to follow.

> Here's what I came up with (just a sketch, commit message is lacky and the
> helper functions deserve a better place / name):

I like it. Want to clean it up and submit in place of mine?

-Peff